<script lang="ts">
	import Button from '$lib/components/Button.svelte';
	import { ButtonState, ButtonStatus, ButtonVariant } from '$lib/types/button';
	import ComponentCombiner from '$lib/components/docs/ComponentCombiner.svelte';

	const allOptions = [
		Object.keys(ButtonVariant).map((key) => 'ButtonVariant.' + key),
		Object.keys(ButtonStatus).map((key) => 'ButtonStatus.' + key),
		Object.keys(ButtonState).map((key) => 'ButtonState.' + key)
	];
</script>

<svelte:head>
	<title>Button - Components</title>
</svelte:head>

<div class="content">
	<h1>Components - Button</h1>

	<h2>All variants</h2>
	<ComponentCombiner
		variants={allOptions}
		variantsPrefix={'Button'}
		component={Button}
		componentSelector={'Button'}
		enums={{ ButtonVariant, ButtonStatus, ButtonState }}
	>
		<span>Button</span>
	</ComponentCombiner>
</div>

<style>
</style>
